@import './general-styles.css';

.top-nav {
	align-items: center;
    backdrop-filter: blur(10px);
	background-color: var(--color-black-60);
	display: flex;
	height: 30px;
	justify-content: space-between;
	list-style: none;
    padding: 10px;
	position: fixed;
	width: 100vw;
	z-index: 4;
}

.menu-btn {
	/* Remove default button styles */
	background-color: transparent;
	border: none;
	color: inherit;
	cursor: pointer;
	font: inherit;
	outline: inherit;
	padding: 0;

	/* Add new button styles */
	background-color: var(--color-black-10);
	display: inline-block;
	border: none;
	padding: 12px;
	font-size: 1rem;
	line-height: 1;
	cursor: pointer;
	text-align: center;
}

.menu-btn ion-icon,
.menu-btn i {
	background-color: var(--color-black-10);
	color: var(--color-blue-bright);
}

.menu-btn:hover ion-icon,
.menu-btn:hover i,
.menu-btn:focus ion-icon,
.menu-btn:focus i {
	background-color: var(--color-black-10);
	color: var(--color-blue-pale);
}

.menu-btn:active {
	transform: scale(0.99);
}

.top-title {
	align-content: center;
	font-weight: 600;
	font-size: 2.6rem;
	word-spacing: 4px;
	letter-spacing: 1.5px;
	margin-bottom: 0;
}

.top-title a {
	border-bottom-width: 0;
}

.top-subtitle {
	color: var(--color-blue-bright);
	text-align: center;
	font-size: 90%;
	word-spacing: 4px;
	letter-spacing: 1.5px;
}

.header-right {
	width: 55.25px;
	height: 39px;
}

.logo-toc {
	height: 100px;
}

.logo-link {
	border-bottom-width: 0 !important;
	text-decoration: none;
}

.logo {
	height: auto;
	width: 85%;
	margin-left: 15px;
	margin-top: 0;
}

.side-nav {
	height: calc(100% - 180px);
	list-style: none;
	margin-top: 15px;
	overflow-y: auto;
	padding-left: 0;
	scrollbar-color: var(--color-blue-bright) var(--color-dark-scrollbar);
	scrollbar-width: auto;
}

.side-nav li {
	margin-left: 1px;
	margin-bottom: 10px;
}

.side-nav li a:link,
.side-nav li a:visited {
	padding: 8px 0;
	color: var(--color-blue-mid);
	text-decoration: none;
	font-size: 100%;
	border-bottom: 2px solid transparent;
	transition: border-bottom 0.9s;
}

.side-nav li a:hover,
.side-nav li a:active {
	border-bottom: 2px solid var(--color-blue-mid);
}

.toc {
	background-color: var(--color-dark-toc);
	display: none;
	height: 100vh;
	left: 0;
	max-height: 100vh;
	position: fixed;
	overflow-x: hidden;
	padding-top: 10px;
	top: 0;
	width: 200px;
	z-index: 5;
}

.footer-toc {
	background-color: var(--color-dark-toc);
	font-size: 1rem;
	height: 50px;
	list-style: none;
	text-align: left;
}

.footer-toc li {
	display: inline-block;
	margin: 0 10px;
}

.footer-toc li a {
	padding-top: 4px;
}

.footer-toc li a:link,
.footer-toc li a:visited {
	text-decoration: none;
	border: 0;
	/* color: #d1d1d1; */
	transition: color 0.2s;
}

.footer-toc li a:hover,
.footer-toc li a:active {
	color: #ddd;
}

.footer-toc p {
	color: var(--color-blue-pale);
	font-size: 1rem;
	margin-left: 20px;
	padding-left: 5px;
	position: fixed;
	bottom: 5px;
	width: 200px;
}

.small-logo {
    height: 45px;
}

.main {
	align-items: center;
    background-image: url("../../resources/images/background-tablet-nochars.jpg");
    background-position: center;
    background-size: cover;
	display: flex;
	flex-direction: column;
    height: calc(100vh - 50px);
	overflow: hidden;
	padding-top: 50px;
	z-index: 0;
}

.container {
	align-items: center;
	display: flex;
	flex-direction: column;
    height: calc(100vh - 80px);
	overflow-x: hidden;
	overflow-y: auto;
	margin-bottom: 30vh;
	scrollbar-color: var(--color-blue-bright) var(--color-dark-scrollbar);
	scrollbar-width: auto;
	width: 100%;
	z-index: 1;
}

.text-box {
	backdrop-filter: blur(7px);
	background-color: var(--color-dark-text-box);
	color: var(--color-blue-pale);
	margin: 30px 50px;
	max-width: 120ch;
	overflow-y: visible;
	padding: 16px ;
	position: relative;
	scroll-margin-top: 50px;
	width: 80%;
	z-index: 2;
}

.role h3 {
	margin-bottom: 0;
}

.role p,
.role ul {
	margin: 0;
}

.concordia-diploma {
	padding-left: 30px;
}

.deque-courses {
	columns: 1;
	-webkit-columns: 1;
	-moz-columns: 1;
}

.container-cover {
	background: var(--linear-gradient-desktop);
    height: calc(100vh - 50px);
	left: 0;
	margin-bottom: 29vh;
	pointer-events: none;
	position: absolute;
	top: 50px;
	width: 100%;
	z-index: 3;
}

.portfolio-images,
.portfolio-captions {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	gap: 10px;
	justify-content: space-between;
	margin-top: 20px;
}

.portfolio-captions,
.portfolio-captions p {
	color: var(--color-blue-bright);
	font-size: 1.1rem;
	justify-items: center;
	margin: 0;
}

.portfolio-captions p {
	padding-top: 6px;
}

.portfolio-image {
	box-shadow: 2px 2px 8px var(--color-black-80);
    height: 100%;
	width: 100%;
}

.social-links {
	align-items: center;
	display: flex;
	gap: 14px;
	justify-content: center;
	list-style: none;
	padding: 10px 32px;
	text-align: center;
}

.ion-logo-mastodon {
	width: 42px;
}

.ion-ios-mail {
	font-size: 420%;
	width: 56px;
}

.logo-bluesky,
.logo-bluesky path,
.logo-storygraph,
.logo-storygraph path {
	align-items: center;
	border-bottom-width: 0 !important;
	display: flex;
	padding-bottom: 0;
	width: 52px;
}

.ion-logo-linkedin,
.ion-logo-mastodon,
.ion-ios-send,
.ion-logo-github,
.logo-bluesky {
	transition: color 0.2s;
}

.ion-logo-linkedin:hover {
	color: var(--color-linkedin);
}

.ion-logo-mastodon:hover {
	color: var(--color-mastodon);
}

.ion-ios-mail:hover {
	color: var(--color-mail);
}


.ion-logo-github:hover {
	color: var(--color-github);
}

.logo-bluesky:hover path {
	fill: var(--color-bluesky);
	stroke: var(--color-bluesky);
}

.footer {
    align-items: center;
	backdrop-filter: blur(50px);
	background-color: var(--color-black-70);
	display: flex;
	height: 30px;
	justify-content: flex-end;
	list-style: none;
	padding: 10px;
	position: fixed;
	transform: translate(0px, -50px);
	width: calc(100vw - 20px);
}

/* 404 STYLES */

.error-404-title {
	font-size: 4rem;
	color: var(--color-blue-bright);
	margin-bottom: 0;
}

.error-404-subtitle {
	font-size: 2.4rem;
	color: var(--color-blue-bright);
	margin-bottom: 30px;
	margin-top: 0;
}

.error-404-text {
	color: var(--color-blue-pale);
	font-size: 1.6rem;
}

.error-404-link {
	border-bottom-width: 0 !important;
	color: var(--color-blue-bright);
	text-decoration: none;
}

.error-404-link:hover,
.error-404-link:focus,
.error-404-link:active {
	border-bottom: 1px solid var(--color-blue-bright) !important;
	color: var(--color-mail);
}

/* DESKTOP STYLES */

@media (min-width: 770px) {
    #top-nav {
		justify-content: center;
        margin-left: 200px;
        width: calc(100vw - 220px);
    }

	.menu-btn,
	.header-right {
		background-color: var(--color-black-10);
		display: none;
	}

    .toc {
		display: block;
	}

    .side-nav li {
		margin-left: 10px;
		margin-bottom: 10px;
	}

    .main {
        margin-left: 200px;
        padding-top: 50px;
    }

	.container-cover {
	left: 200px;
}

	.text-box {
	margin: 70px 50px 40vh 50px;
}

.social-links {
	gap: 24px;
}

    .footer {
		margin-left: 200px;
		width: calc(100vw - 220px);
    }
}

@media (min-width: 860px) {
	.deque-courses {
		columns: 2;
		-webkit-columns: 2;
		-moz-columns: 2;
		column-gap: 30px;
	}
}
